# Uses of Class
org.eclipse.gef.graph.Edge

## Uses of Edge in org.eclipse.gef.graph

Methods in org.eclipse.gef.graph that return Edge
Modifier and Type
Method
Description
`Edge`
Edge.Builder.`buildEdge()`
Creates a new `Edge`, setting the values specified via this `Edge.Builder`.
`protected Edge`
GraphCopier.`copyEdge(Edge edge)`
Creates a copy of the given edge.
Methods in org.eclipse.gef.graph that return types with arguments of type Edge
Modifier and Type
Method
Description
`javafx.beans.property.ReadOnlyListProperty<Edge>`
Graph.`edgesProperty()`
Returns a read-only list property containing the `Edge`s of this `Graph`.
`Set<Edge>`
Node.`getAllIncomingEdges()`
Returns all incoming `Edge`s of this `Node`.
`Set<Edge>`
Node.`getAllOutgoingEdges()`
Returns all outgoing `Edge`s of this `Node`.
`javafx.collections.ObservableList<Edge>`
Graph.`getEdges()`
Returns the edgesProperty of this `Graph`.
`Set<Edge>`
Node.`getIncomingEdges()`
Returns the local incoming `Edge`s of this `Node`.
`Map<Edge,Edge>`
GraphCopier.`getInputToOutputEdgeMap()`
Returns an (unmodifiable) `Map` from input `Edge`s to output `Edge`s.
`Map<Edge,Edge>`
GraphCopier.`getInputToOutputEdgeMap()`
Returns an (unmodifiable) `Map` from input `Edge`s to output `Edge`s.
`Set<Edge>`
Node.`getOutgoingEdges()`
Returns the local outgoing `Edge`s of this `Node`.
Methods in org.eclipse.gef.graph with parameters of type Edge
Modifier and Type
Method
Description
`protected Edge`
GraphCopier.`copyEdge(Edge edge)`
Creates a copy of the given edge.
`Graph.Builder`
Graph.Builder.`edges(Edge... edges)`
Adds the given `Edge`s to the `Graph` which is constructed by this `Graph.Builder`.
`protected void`
GraphCopier.`trackCopiedEdge(Edge inputEdge, Edge outputEdge)`
Maintains a mapping from the input edge to the output edge.
Method parameters in org.eclipse.gef.graph with type arguments of type Edge
Modifier and Type
Method
Description
`<T> Edge.Builder`
Edge.Builder.`attr(BiConsumer<Edge,T> setter, T value)`
Uses the given setter to set the attribute value.
`Graph.Builder`
Graph.Builder.`edges(Collection<Edge> edges)`
Adds the given `Edge`s to the `Graph` which is constructed by this `Graph.Builder`.